
<?php
defined('_JEXEC') or die;
$templateName = JFactory::getApplication('site')->getTemplate();
$templateDir = JPATH_THEMES . '/' . $templateName;
require_once $templateDir . '/app/' . 'Editor.php';

if ($way = DesignerEditor::override($templateName, __FILE__)) {
	$editorDir = $templateName . '/editor';
    require($way);
    return;
} else {
?>
<?php ob_start(); ?>
<div class=" bd-grid-7">
    <div class="separated-grid row">
        <div class="separated-item-46 col-sm-24 ">
            <div class=" bd-griditem-46">
<?php
if (strlen($article->pageHeading)) {
    $blogProxy->pageHeading = $component->pageHeading($article->pageHeading);
}
$params = array();
if (strlen($article->title)) {
    $params['header-text'] = $this->escape($article->title);
    if (strlen($article->titleLink))
        $params['header-link'] = $article->titleLink;
}

// Change the order of ""if"" statements to change the order of article metadata header items.
if (strlen($article->created)) {
    $params['date-icons'][] = $article->createdDateInfo($article->created);
}
if (strlen($article->modified)) {
    $params['date-icons'][] = $article->modifiedDateInfo($article->modified);
}
if (strlen($article->published)) {
    $params['date-icons'][] = $article->publishedDateInfo($article->published);
}

if (strlen($article->author)) {
    $params['author-icon'] = $article->authorInfo($article->author, $article->authorLink);
}

if ($article->printIconVisible) {
    $params['print-icon'] = $article->printIconInfo();
}
if ($article->emailIconVisible) {
    $params['email-icon']= $article->emailIconInfo();
}
if ($article->editIconVisible) {
    $params['edit-icon'] = $article->editIconInfo();
}
if (strlen($article->hits)) {
    $params['hits-icons'] = $article->hitsInfo($article->hits);
}

// Build article content
$content = '';
if ('above full article' === $article->paginationPosition) {
    $params['pager'] = $article->pagination();
}
if (!$article->introVisible)
    $content .= $article->event('afterDisplayTitle');
$content .= $article->event('beforeDisplayContent');
if (strlen($article->toc))
    $content .= $article->toc($article->toc);
if (strlen($article->text)) {
    if (strlen($article->images['fulltext']['image']))
        $params['data-image'] = $article->images['fulltext'];
    if ('above text' === $article->paginationPosition) {
        $params['pager'] = $article->pagination();
    }
    $content .= $article->text($article->text);
    if ('below text' === $article->paginationPosition) {
        $params['pager'] = $article->pagination();
    }
    if ($article->showLinks)
        $content .= $this->loadTemplate('links');
}
if ($article->introVisible)
    $content .= $article->intro($article->intro);
if (strlen($article->readmore))
    $content .= $article->readmore($article->readmore, $article->readmoreLink);
if ('below full article' === $article->paginationPosition) {
    $params['pager'] = $article->pagination();
}

$content .= $article->event('afterDisplayContent');
$params['content'] = $content;

// Change the order of ""if"" statements to change the order of article metadata footer items.
if (count($article->tags) > 0)
    $params['tags-icon'] = $article->tags;
if (strlen($article->category)) {
    $params['category-icon'] = $article->categories($article->parentCategory, $article->parentCategoryLink, $article->category, $article->categoryLink);
}
echo renderTemplateFromIncludes('article_4', array($params));
?>
            </div>
        </div>
    </div>
</div>
<?php
// Render article
$blogProxy->content =  ob_get_clean();
// Render blog
echo renderTemplateFromIncludes('blog_5', array($blogProxy));
?>
<?php } ?>
